## xarchon 0.50-2

=== debian/changelog ===
xarchon (0.50-2) unstable; urgency=low

  * Another sponsor upload.  

 -- Andrea Fanfani <andrea@debian.org>  Sun, 12 Dec 1999 23:13:28 +0100

xarchon (0.50-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sat, 4 Dec 1999 11:57:00 -0400

xarchon (0.45-2) unstable; urgency=low

  * Sponsor upload. 

 -- Andrea Fanfani <andrea@debian.org>  Tue, 23 Nov 1999 22:21:14 +0100

xarchon (0.45-1) unstable; urgency=low

  * YAUS (Yet Another Upstream Release)
  * The build will no longer abort if empty directories in the xarchon package
   can't be removed; you'll just get gratuitous empty directories.  (old
   fileutils were broken wrt --ignore-fail-on-non-empty, I believe)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 23 Nov 1999 12:13:10 -0400

xarchon (0.44-2) unstable; urgency=low

  * Sponsor upload. 

 -- Andrea Fanfani <andrea@debian.org>  Sun, 14 Nov 1999 19:16:02 +0100

xarchon (0.44-1) unstable; urgency=low

  * New upstream version.  Major change is joystick support; my joystick is
   sitting in a closet somewhere, so I cannot test whether this works
   correctly.
  * 'feature' that included empty directories from the default theme in the
   main xarchon package was removed.
  * Icon added to menu entry.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 14 Nov 1999 19:15:26 +0100

xarchon (0.43-2) unstable; urgency=low

  * Sponsor upload, removed some minors bug.

 -- Andrea Fanfani <andrea@debian.org>  Thu, 28 Oct 1999 00:39:50 +0200

xarchon (0.43-1) unstable; urgency=low

  * New upstream release, preparing to get this into the Debian archive.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Wed, 27 Oct 1999 08:12:41 -0400

xarchon (0.42-1) unstable; urgency=low

  * New upstream release.  No longer has any proprietary graphics,
   yayy! :)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 12 Oct 1999 14:37:10 -0400

xarchon (0.41-1) unstable; urgency=low

  * New upstream release.
  * INSTALL ("generic installation instructions...") is no longer put into
   /usr/share/doc/xarchon.
  * manpages now go in /usr/share/man instead of /usr/man.
  * Split the theme data off from the main package, so that orthogonal theme
   packages can be made once such themes are available :)
  * theme data now goes in /usr/share/games/xarchon (rather than
   /usr/share/games/xarchon/xarchon)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Mon, 11 Oct 1999 09:41:50 -0400

xarchon (0.40-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Fri,  8 Oct 1999 19:29:45 -0400

Local variables:
mode: debian-changelog
End:
