=== debian/control ===
Source: xarchon
Section: games
Priority: optional
Maintainer: Daniel Burrows <Daniel_Burrows@brown.edu>
Standards-Version: 3.0.1

Package: xarchon
Architecture: any
Depends: ${shlibs:Depends}, xarchon-theme
Description: An X11 version of the game Archon.
 XArchon is a clone of the classic ARCHON game which was distributed by
 Electronic Arts around 1985.  It pits the light side against the dark side in
 a battle for the control of a chess-like playing board.
 .
 XArchon consists of a strategy mode, in which pieces are moved around the
 board, and an arcade mode, in which two pieces attempting to occupy the same
 square battle one another.
 .
 Actually (december 1999) Daniel Burrows is sponsored by Andrea Fanfani
 <andrea@debian.org>

Package: xarchon-theme-default
Architecture: all
Recommends: xarchon
Provides: xarchon-theme
Description: The default theme for XArchon.
 XArchon is a clone of the classic ARCHON game which was distributed by
 Electronic Arts around 1985.
 .
 This package is the default theme for xarchon.
 .
 Actually (december 1999) Daniel Burrows is sponsored by Andrea Fanfani
 <andrea@debian.org>
